Package twisted :: Package cred :: Module credentials :: Class CramMD5Credentials

[frames | no frames]

## Class CramMD5Credentials

Method Summary
| `__init__(self, host)`
| `checkPassword(self, password)`
| `getChallenge(self)`
| `moreChallenges(self)`
| `setResponse(self, response)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.cred.credentials.IUsern...`
`str` | `challenge` = `''`
`str` | `response` = `''`

Class Variable Details

### __implements__

  Type:
    `tuple`
  Value:

        (<class twisted.cred.credentials.IUsernameHashedPassword at 0x854027c>\
        ,)

### challenge

  Type:
    `str`
  Value:

        ''

### response

  Type:
    `str`
  Value:

        ''

Generated by Epydoc 2.0 on Sat May 15 20:08:26 2004 | http://epydoc.sf.net